#---
# Excerpted from "Agile Web Development with Rails"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com for more book information.
#---

class LineItem < ActiveRecord::Base

  belongs_to :product


  def self.for_product(product)
    item = self.new         
    item.quantity = 1
    item.product = product
    item.unit_price = product.price
    item
  end

end

