#---
# Excerpted from "Agile Web Development with Rails"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com for more book information.
#---
class Item
  attr_reader :body
  attr_reader :posted_on

  FAKE_DATABASE = []
  
  def initialize(body)
    @body = body
    @posted_on = Time.now
    FAKE_DATABASE.unshift(self)
  end

  def self.find_recent
     FAKE_DATABASE
  end
  
  # Populate initial items
  new("Feed cat")
  new("Wash car")
  new("Sell start-up to Google")
end