#---
# Excerpted from "Agile Web Development with Rails"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com for more book information.
#---
require "rubygems"
require_gem "activerecord"

require 'connect'

class Order < ActiveRecord::Base
  validates_format_of :name, :with => '^images/\w+\.jpg$', :message => '\#{name} is bad, bad'
  def validate
    puts "validate"
  end
  def validate_on_create
    puts "validate create"
  end
  def validate_on_update
    puts "validate update"
  end
end

o = Order.find(12)
o.name = "images/bejpg"
p o.valid?
p o.errors
