#---
# Excerpted from "Agile Web Development with Rails"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com for more book information.
#---
class ProductAuthApi < ActionWebService::API::Base

  api_method :find_all_products,
             :expects => [{:key=>:string}],
             :returns => [[:int]]

  api_method :find_product_by_id,
             :expects => [{:key=>:string}, {:id=>:int}],
             :returns => [Product]
end
