#---
# Excerpted from "Agile Web Development with Rails"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com for more book information.
#---
module TestHelper
  def show(xml, str)
    res = eval(str)
    xml.dt(:newline => "yes") do
      xml.inlinecode("<%= " + str + " %>")
    end
    xml.dd do
      xml.p(res)
    end
  end


  ShippingOption = Struct.new(:id, :name)

  class ShippingType
    attr_reader :type_name, :options
    def initialize(name)
      @type_name = name
      @options = []
    end
    def <<(option)
      @options << option
    end
  end
  
  ground    = ShippingType.new("SLOW")
  ground   << ShippingOption.new(100, "Ground Parcel")
  ground   << ShippingOption.new(101, "Media Mail")
  
  regular   = ShippingType.new("MEDIUM")
  regular  << ShippingOption.new(200, "Airmail")
  regular  << ShippingOption.new(201, "Certified Mail")
  
  priority  = ShippingType.new("FAST")
  priority << ShippingOption.new(300, "Priority")
  priority << ShippingOption.new(301, "Express")
  
  SHIPPING_OPTIONS = [ ground, regular, priority ]

end
