#---
# Excerpted from "Agile Web Development with Rails"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com for more book information.
#---
class ExampleController < ApplicationController  
   
  
  def say_hello
    render(:layout => false)
  end
  
  
  
  def multiple
  end

  def update_many
    render(:layout => false)
  end
  
  
  def destroy
    # nothing to do here, just for show
    render(:nothing => true)
  end
  
  
  def periodic
    # No action...
  end

  # Return a process listing (Unix specific code)
  def ps
    render(:text => "<pre>" + CGI::escapeHTML(`ps -a`) + "</pre>")
  end
  
  
  
  
  WORDLIST = %w(Rails is a full-stack, open-source web framework in Ruby 
    for writing real-world applications with joy and less code than most 
    frameworks spend doing XML sit-ups)
  
    
  
  def search
    @phrase  = request.raw_post || request.query_string
    matcher  = Regexp.new(@phrase)
    @results = WORDLIST.find_all { |word| word =~ matcher }
    render(:layout => false)
  end
  


  
  def checkxhr
    if request.xhr?
      render(:text => "21st century Ajax style.", :layout => false)
    else
      render(:text => "Ye olde Web.")
    end 
  end
  
  
  def faulty_xhr
  end
  
  
  def faulty
    a = 1 / 0    # raises ZeroDivisionError
    rescue Exception => e
      if request.xhr? 
        @errormessage = "Error: #{e.message} in #{e.backtrace.first}"
        render(:template => "alert('<%= escape_javascript(@errormessage) %>');", :layout => false)
      else
        raise    # non-ajax calls should use the Rails error page
      end
  end
  
  
  def compat
  end

  def compat_form
  end

  def effectswithoutajax
  end

   
end
